import Vue from 'vue'
import ElementUI from 'element-ui';
import 'element-ui/lib/theme-chalk/index.css';

import ExSearch from './packages/search/index';
import ExForm from './packages/form/index';
import ExUpload from './packages/upload/index';
import ExTable from './packages/table/index';

Vue.config.productionTip = false
Vue.use(ElementUI);

const components = [
    ExSearch,
    ExForm,
    ExUpload,
    ExTable
]

// eslint-disable-next-line
const install = function(Vue, opts = {}) {
    components.forEach(component => {
        Vue.component(component.name, component)
    })
}

// 当检测到 Vue 是全局变量的时候，自动将 执行 `install` 方法
if (typeof window !== 'undefined' && window.Vue) {
    install(window.Vue)
}

export default {
    version: '1.0.6',
    install,
    ExSearch,
    ExForm,
    ExUpload,
    ExTable
}