const path = require('path');

const configJson = {
    publicPath: '/dist/',
    outputDir: 'lib',
    configureWebpack: {
        entry: './src/index.js',
        output: {
            path: path.resolve(__dirname, './lib'), // 打包后输出文件的所在目录
            filename: 'expec-ui.js', //打包后的 文件名称，这个文件名称与项目名称相对应
            library: 'expec-ui', // 指定 使用 import 或者 reqire 时的模块名，这里为 import xx from 'fpi-ui' 或者 require('fpi-ui')
            libraryTarget: 'umd', // 可以指定生成不同的 umd 的代码， 可以只是 commonjs 标准的，也可以是 amd 标准的， 也可以是只能通过 script 标签引入的
            umdNamedDefine: true // 会对 umd 的构建过程中的 amd 模块进行命名，  否则就使用 匿名的 define
        },
    },
    css: {
        extract: false // 将css和js不分开打包，css将作为内联样式注入到js中
    },
    //......上面一堆配置
    productionSourceMap: true
}

module.exports = configJson;